import request from '@/utils/request'

// 查询跟进记录列表
export function listRecord(query) {
  return request({
    url: '/customer/crm/followup/log/list',
    method: 'get',
    params: query
  })
}

// 获取跟进记录详细信息
export function getRecord(id) {
  return request({
    url: '/customer/crm/followup/log/' + id,
    method: 'get'
  })
}

// 新增跟进记录
export function addRecord(data) {
  return request({
    url: '/customer/crm/followup/log',
    method: 'post',
    data: data
  })
}

// 修改跟进记录
export function updateRecord(data) {
  return request({
    url: '/customer/crm/followup/log',
    method: 'put',
    data: data
  })
}

// 删除跟进记录
export function delRecord(ids) {
  return request({
    url: '/customer/crm/followup/log/' + ids,
    method: 'delete'
  })
}
